For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • HEADLESS GOOGLE PAY API
    • End Points
    • POSTTransaction Session API
    • POSTTransaction Process API
    • GETTransaction Request Status API
  • TRANSAK WHITELABEL API
    • End Points
Dashboard
LogoLogo
HEADLESS GOOGLE PAY API

Transaction Process API

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/transaction-session/request/:requestId/process
POST
/api/v2/transaction-session/request/:requestId/process
$curl -X POST https://api-gateway-stg.transak.com/api/v2/transaction-session/request//process \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "orderId": "d4746d84-65ff-4d7b-9e50-57772fa42dc6",
4 "status": "AWAITING_PAYMENT_FROM_USER",
5 "isBuyOrSell": "BUY",
6 "fiatCurrency": "EUR",
7 "cryptoCurrency": "ETH",
8 "paymentMethod": "google_pay",
9 "network": "ethereum",
10 "fiatAmount": 26,
11 "fiatAmountInUsd": 30.25,
12 "cryptoAmount": 0.01381009,
13 "paymentDetails": [],
14 "partnerUserId": "ef21471f-663e-4aa1-bef5-c992784a65b6",
15 "networkId": "1",
16 "walletAddress": "0x154196c48ef6460760096b53be440eb637f9f10f",
17 "quoteId": "db75a098-2d1a-48d5-b6a6-0930422d37c9",
18 "amountPaid": 0,
19 "conversionPrice": 0.000552403731428593,
20 "totalFeeInFiat": 1,
21 "txHash": "",
22 "walletLink": "https://sepolia.etherscan.io/address/0x154196c48ef6460760096b53be440eb637f9f10f",
23 "transactionLink": "",
24 "addressAdditionalData": {
25 "name": "User Wallet",
26 "displayName": "Primary ETH Wallet",
27 "value": "0x154196c48ef6460760096b53be440eb637f9f10f",
28 "requestId": "05cba77d-6a99-43cf-9356-2575f1db2f65"
29 }
30 }
31}

Triggers processing of a payment request that was created by the Transak frontend after the user submitted their Google Pay payment details. This processes the requestId returned by the fiat-payment service.

Was this page helpful?
Previous

Transaction Session API

Next

Transaction Request Status API

Built with

Path parameters

requestIdstringRequired

The request ID returned by the fiat-payment service after Google Pay tokenisation.

Headers

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

x-user-identifierstringOptional

The authenticated user’s email address.

Note: This is applicable only for Auth Reliance Flows.

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

Response

Success
dataobject
Order details returned after processing the Google Pay transaction session.

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error